/*
 * MailTester.java
 *
 * Created on 19 April 2005, 15:14
 */

package jim.common.mail;

import java.sql.Connection;
import java.sql.DriverManager;
import java.util.ResourceBundle;

import jim.util.SqlUtils;

/**
 * Test the mailer
 * @author briggsj
 */
public class MailTester {
    
    /** Creates a new instance of MailTester */
    public MailTester() {
    }
    
    static private Connection firstConnection() throws Exception {
        ResourceBundle dbres = ResourceBundle.getBundle("properties/database");
        String driver = dbres.getString("driver");
        Class.forName(driver);
        String url = dbres.getString("url");
        String username = dbres.getString("username");
        String password = dbres.getString("password");
        Connection conn = DriverManager.getConnection(url, username, password);
        return conn;
    }
    
    /**
     * Main program
     * @param args the command line arguments
     * @throws Exception Anything
     */
    public static void main(String[] args) throws Exception {
        // TODO code application logic here
//        Context envCtx = NamingUtils.findContext();
//        String db = "jdbc/feedback";
//        DataSource dataSource = (DataSource)envCtx.lookup(db);
        
        Connection conn = firstConnection();
        String tableName = "MESSAGES";
        String keyName = "KEY";
        String valueName = "VALUE";
        SqlUtils sql = new SqlUtils(conn);
        DBMessageFetcher mb = new DBMessageFetcher(sql, tableName, keyName, valueName);
        EmailMessage e = mb.fetch("test");
        System.out.println("e: " + e);
        conn.close();
    }
    
}
