/*
 * Regexp.java
 *
 * Created on 22 June 2004, 16:05
 */

package jim.util;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 *
 * @author  briggsj
 */
public class Regexp {
    
    /** Creates a new instance of Regexp */
    public Regexp() {
    }
    
    public static boolean matches (String sb, String pattern) {
        Pattern p = Pattern.compile(pattern);
        Matcher m = p.matcher(sb);
        return m.matches();
    }
    
    public static boolean matchesIgnoreCase (String sb, String pattern) {
        Pattern p = Pattern.compile(pattern, Pattern.CASE_INSENSITIVE);
        Matcher m = p.matcher(sb);
        return m.matches();
    }

    public static String substitute (String sb, String pattern, String replacement) {
        Pattern p = Pattern.compile(pattern);
        Matcher m = p.matcher(sb);
        boolean b = m.matches();
        String s = sb;
        if (b) {
            s = m.replaceAll(replacement);
        }
        return s;
    }
    
}
